package com.bonus.canteen.core.supermarket.model;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableField;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.time.LocalDateTime;
import java.time.LocalTime;

@ApiModel(
   value = "超市营业配置表",
   description = "超市营业配置表"
)
public class SupermarketConfig {
   @ApiModelProperty("一周id")
   private Long weekId;
   @ApiModelProperty("超市id")
   private Long supermarketId;
   @ApiModelProperty("一周名称")
   private String weekName;
   @ApiModelProperty("一周类型 1:周一 2:周二 3:周三 4:周四 5:周五 6:周六 7:周日")
   private Integer weekType;
   @ApiModelProperty("营业开始时间")
   private LocalTime openingTime;
   @ApiModelProperty("营业结束时间")
   private LocalTime closingTime;
   @ApiModelProperty("是否营业 (1营业, 2休息)")
   private Integer ifBusiness;
   @ApiModelProperty("是否预定取货日(1是，2否)")
   private Integer ifReserveFetch;
   @ApiModelProperty("乐观锁")
   private Integer revision;
   @TableField(
      value = "crtime",
      fill = FieldFill.INSERT
   )
   @ApiModelProperty("创建时间")
   private LocalDateTime crtime;
   @TableField(
      value = "uptime",
      fill = FieldFill.UPDATE
   )
   @ApiModelProperty("更新时间")
   private LocalDateTime uptime;
   @TableField(
      value = "crby",
      fill = FieldFill.INSERT
   )
   @ApiModelProperty("创建人")
   private String crby;
   @TableField(
      value = "upby",
      fill = FieldFill.UPDATE
   )
   @ApiModelProperty("更新人")
   private String upby;

   public Long getWeekId() {
      return this.weekId;
   }

   public Long getSupermarketId() {
      return this.supermarketId;
   }

   public String getWeekName() {
      return this.weekName;
   }

   public Integer getWeekType() {
      return this.weekType;
   }

   public LocalTime getOpeningTime() {
      return this.openingTime;
   }

   public LocalTime getClosingTime() {
      return this.closingTime;
   }

   public Integer getIfBusiness() {
      return this.ifBusiness;
   }

   public Integer getIfReserveFetch() {
      return this.ifReserveFetch;
   }

   public Integer getRevision() {
      return this.revision;
   }

   public LocalDateTime getCrtime() {
      return this.crtime;
   }

   public LocalDateTime getUptime() {
      return this.uptime;
   }

   public String getCrby() {
      return this.crby;
   }

   public String getUpby() {
      return this.upby;
   }

   public SupermarketConfig setWeekId(final Long weekId) {
      this.weekId = weekId;
      return this;
   }

   public SupermarketConfig setSupermarketId(final Long supermarketId) {
      this.supermarketId = supermarketId;
      return this;
   }

   public SupermarketConfig setWeekName(final String weekName) {
      this.weekName = weekName;
      return this;
   }

   public SupermarketConfig setWeekType(final Integer weekType) {
      this.weekType = weekType;
      return this;
   }

   public SupermarketConfig setOpeningTime(final LocalTime openingTime) {
      this.openingTime = openingTime;
      return this;
   }

   public SupermarketConfig setClosingTime(final LocalTime closingTime) {
      this.closingTime = closingTime;
      return this;
   }

   public SupermarketConfig setIfBusiness(final Integer ifBusiness) {
      this.ifBusiness = ifBusiness;
      return this;
   }

   public SupermarketConfig setIfReserveFetch(final Integer ifReserveFetch) {
      this.ifReserveFetch = ifReserveFetch;
      return this;
   }

   public SupermarketConfig setRevision(final Integer revision) {
      this.revision = revision;
      return this;
   }

   public SupermarketConfig setCrtime(final LocalDateTime crtime) {
      this.crtime = crtime;
      return this;
   }

   public SupermarketConfig setUptime(final LocalDateTime uptime) {
      this.uptime = uptime;
      return this;
   }

   public SupermarketConfig setCrby(final String crby) {
      this.crby = crby;
      return this;
   }

   public SupermarketConfig setUpby(final String upby) {
      this.upby = upby;
      return this;
   }

   public String toString() {
      Long var10000 = this.getWeekId();
      return "SupermarketConfig(weekId=" + var10000 + ", supermarketId=" + this.getSupermarketId() + ", weekName=" + this.getWeekName() + ", weekType=" + this.getWeekType() + ", openingTime=" + String.valueOf(this.getOpeningTime()) + ", closingTime=" + String.valueOf(this.getClosingTime()) + ", ifBusiness=" + this.getIfBusiness() + ", ifReserveFetch=" + this.getIfReserveFetch() + ", revision=" + this.getRevision() + ", crtime=" + String.valueOf(this.getCrtime()) + ", uptime=" + String.valueOf(this.getUptime()) + ", crby=" + this.getCrby() + ", upby=" + this.getUpby() + ")";
   }
}
